;Information of HG2F

[RESOURCE]
DLG_RES_DLL=HG1FResEng.dll

[RUNTIME]
SYSTEM_PATH=..\Common\RuntimeSys\HG1F.BIN
LOADER_PATH=..\Common\RuntimeSys\LOADER.BIN
FONT_TAIWANESE_PATH=..\Common\RuntimeSys\TAIWANESE.BIN
FONT_KOREAN_PATH=..\Common\RuntimeSys\KOREAN.BIN
FONT_CHINESE_PATH=..\Common\RuntimeSys\CHINESE.BIN
FONT_JAPANESE_1_PATH=..\Common\RuntimeSys\JPLARGE1.BIN
FONT_JAPANESE_2_PATH=..\Common\RuntimeSys\JPLARGE2.BIN
FONT_EUROPEAN_16_32_PATH=..\Common\RuntimeSys\EUROPEAN16_32.BIN
FONT_EUROPEAN_24_48_PATH=..\Common\RuntimeSys\EUROPEAN24_48.BIN
FONT_EUROPEAN_32_64_PATH=..\Common\RuntimeSys\EUROPEAN32_64.BIN
FONT_CENTRAL_EUROPEAN_8_8_PATH=..\Common\RuntimeSys\CEUROPEAN8_8.BIN
FONT_CENTRAL_EUROPEAN_8_16_PATH=..\Common\RuntimeSys\CEUROPEAN8_16.BIN
FONT_BALTIC_8_8_PATH=..\COMMON\RUNTIMESYS\BALTIC8_8.BIN 
FONT_BALTIC_8_16_PATH=..\COMMON\RUNTIMESYS\BALTIC8_16.BIN 
FONT_CYRILLIC_8_8_PATH=..\COMMON\RUNTIMESYS\CYRILLIC8_8.BIN
FONT_CYRILLIC_8_16_PATH=..\COMMON\RUNTIMESYS\CYRILLIC8_16.BIN

[GENERAL]
ID=17
ScreenData=Present
ShapeData=Present
PartsObjectData=Present	
FileExtentions=Present
FrameFormat=Present
ReferenceFile=HG1FAE.INI
VersionFile=..\Common\NVVersion.INI
MonoViewINIPath="View Ini\\Mono"
ColorViewINIPath="..\\Common\\View Ini\\Color"
MonoPictureINIPath="..\\Common\\Picture Ini\\Mono"
ColorPictureINIPath="..\\Common\\Picture Ini\\Color"
PartLibPath="..\\..\\PartLib"
ColorFile=HG1F\NVHG1FCOLOR.INI
PrinterSettingFile=COMMON\PrintE.INI
ScriptSettingFile=..\Common\ScriptE.INI
KeypadPath=Keypad\HG1F
KeypadVerticalPath=Keypad\HG1F_V
NVToWinLDRDeviceConvertFile=..\Common\WindLDRe.INI
ExtendHostCommunicationINIPathFile=..\Common\ExHostE.INI
AlarmLogLibraryID = 2205
LibraryFolderPath="LibForOtherOITypes"

[INTERFACE]
OI_Link=0,2,4,16,32,64,256
SERIAL1=1,0,16,32,64,256,4
SERIAL2=0,8,16,32,64,256

;Shapes supported by HG1F
;15 in number
[SHAPEDATA]
ShapesSupported=LINE, POLYLINE, POLYGON, RECTANGLE, ELLIPSE, ARC, PIE, TRIANGLE, SQUARE, PENTAGON, HEXAGON, OCTAGON, PAINT, PICTURE, TEXT

;Parts Objects supported by HG1F
;25 in number
[PARTSOBJECTDATA]
PartsObjectsSupported=BITBUTTON, WORDBUTTON, GOTOSCREENBUTTON, KEYBUTTON, KEYPAD, SELECTORSWITCH, POTENTIOMETER, NUMERICALINPUT, CHARACTERINPUT, PILOTLAMP, PICTUREDISPLAY, MESSAGEDISPLAY, MESSAGESWITCHINGDISPLAY, ALARMLISTDISPLAY, ALARMLOGDISPLAY, NUMERICALDISPLAY, BARGRAPH, TRENDCHART, PIECHART, METER, CALENDAR, BITWRITECOMMAND, WORDWRITECOMMAND, GOTOSCREENCOMMAND, TIMER

;Screens supported by HG1F
[SCREENDATA]
ScreenTypes=BASE_SCREEN, POPUP_SCREEN

;Base screen information
[BASESCREEN]
Width=300
Height=100
MinWidth=300
MinHeight=100
Attribute=0
MaxScreens=3000
MaxPartsObjects=960
MaxReadDevices=256
MaxWriteDevices=512
PartsData=Present

;Popup screen information
[POPUPSCREEN]
Width=300
Height=100
MinWidth=40
MinHeight=40
Attribute=1
MaxScreens=3015
MaxKeyPadScreens=15
MaxPartsObjects=960
MaxReadDevices=64
MaxWriteDevices=128
PartsData=Present

;List of parts objects supported for base screen
;Format is as follows
;PartsObject=Number of parts objects supported
[BASESCREEN-PARTSDATA]
POTENTIOMETER=32 
NUMDISPLAY=256
INDIRECT_NUMDISPLAY_NUMINPUT_CHARINPUT=480
APEXPOLYLINE=300

;List of parts objects supported for popup screen
;Format is as follows
;PartsObject=Number of parts objects supported
[POPUPSCREEN-PARTSDATA]
POTENTIOMETER=32
NUMDISPLAY=256
INDIRECT_NUMDISPLAY_NUMINPUT_CHARINPUT=80
APEXPOLYLINE=300

;Maximum count of part objects those can be present in a project
;PartsObject=Number of parts objects supported
[PROJECTDATA]
SELECTORSWITCH=200
TOUCHSWITCH=32000
PROJECTDATASIZE=983040
MAXBITMAPWIDTH=512
MAXBITMAPHEIGHT=384
MAXIPADDRESS=32

;File extentions for HG1F
;format is as follows
;FileType=extention
[FILEEXTENTIONS]
ProjectDataFile=t2f
ScreenDataFile=o2f
BaseScreenDataFilePrefix=bs
PopupScreenDataFilePrefix=sa
PartsLibraryDataFile=i2f
BitmapDataFile=b2f
CompressBitmapDataFile=c2f
HostIFDriverDataFile=g2f
HGLibraryFile=r2f
MessageDataLib=m2f
DeviceDataFile=d2f
ReceipeDataFile=f2f
ReceipeSettingsDataFile=e2f
RecipeDataFilePrefix=RCP
ScriptDataFile=s2f
CommunicationInterfaceDataFile=p2f
UserProtocolDataFile=usr
LogSettingDataFile=l2f
CFCardBitmapDataFile=j2f
CFCardCompressBitmapDataFile=k2f

;CCFrame Information
[FRAMEFORMAT]
FrameFormatFile=FA1Frame.ini

[KEY_CODES_AND_LABELS]

[DIALOG_COLUMN_WIDTH]
OPEN_SCREENS=42,84,140
CLOSE_SCREENS=42,84,231
SAVE_SCREENS=42,84,231
DUPLICATE_SCREENS=42,84,140
DELETE_SCREENS=42,84,231
DOWNLOAD=35,196,126,84
PRINT=42,84,140
DEVICE_BROWSER=100,50,350
ALARM_LOG_SETTINGS_CHANNEL=63,63,63,63,63,63,63,63
TREND_CHART_CHANNEL_SETTINGS=63,63,56,84,56,60,60,60
SELECTOR_SWITCH_NOTCH=49,77,84,98,56
MESSAGE_DISPLAY_VARIABLE=49,161,56
MESSAGE_SWITCHING_DISPLAY_MESSAGE=49,140,49,84,63
BAR_GRAPH_GRAPH=42,91,91,91,98,91,56
TREND_CHART_PEN_LOG=42,77,105,63,70
PIE_CHART_LIST=42,133,70,70,70
TEXT_BROWSER=28,60,51,275
ALARM_LIST_DISPLAY_LIST=1400,1680,1680
ALARM_LIST_DISPLAY_OPTIONS=1120,1120,2800
CHANNEL_INDIVIDUAL_SETTING=60,95,60,65,500
ALARM_LOG_DISPLAY_LOG=70,100,100,100,100
NEW_SCREENS=60,60,60
PROGRESS=280,84
LIBRARY_DIALOG=250
COMMUNICATION_INTERFACE_KEY=144,121
USER_COMMUNICATION_SET_PROTOCOL_KEY=60,60
USER_COMMUNICATION_PROTOCOL_KEY=60,60,60,60,60,60,60
SCRIPT_BROWSER=60,60,60
SCREEN_ENTITY_LIST=22,103,60,60,60,60
SCREEN_MONITOR=162,58,106
SUB_HOST_DEVICE_LIST = 90,120,60

[OBJECT_LIST]
VISIBLE=0,1,2,3,4,5,6,7
WIDTHS=40,55,60,70,60,65,65,60,60

[DEBUGGER_SCREEN_MONITOR]
DEBUGGER_POSITION_X=200
DEBUGGER_POSITION_Y=200
DEBUGGER_SIZE_WIDTH=375
DEBUGGER_SIZE_HEIGHT=200
DEBUGGER_HEXADECIMAL_VISIBLE=0
DEBUGGER_BINARY_VISIBLE=0
DEBUGGER_COMMENT_VISIBLE=0

[DEBUGGER_REGISTRATION_MONITOR]
DEBUGGER_POSITION_X=200
DEBUGGER_POSITION_Y=400
DEBUGGER_SIZE_WIDTH=700
DEBUGGER_SIZE_HEIGHT=300
DEBUGGER_HEXADECIMAL_VISIBLE=0
DEBUGGER_BINARY_VISIBLE=0
DEBUGGER_COMMENT_VISIBLE=0

[DEBUGGER_LUMP_MONITOR]
DEBUGGER_POSITION_X=575
DEBUGGER_POSITION_Y=320
DEBUGGER_SIZE_WIDTH=520
DEBUGGER_SIZE_HEIGHT=400
DEBUGGER_HEXADECIMAL_VISIBLE=0
DEBUGGER_BINARY_VISIBLE=0
DEBUGGER_COMMENT_VISIBLE=0

[DEBUGGER_HOST_MONITOR]
DEBUGGER_POSITION_X=575
DEBUGGER_POSITION_Y=200
DEBUGGER_SIZE_WIDTH=300
DEBUGGER_SIZE_HEIGHT=120
DEBUGGER_HEXADECIMAL_VISIBLE=0
DEBUGGER_BINARY_VISIBLE=0
DEBUGGER_COMMENT_VISIBLE=0

[VIEW]
SHOW_CMD_OBJ=0100000001
SHOW_PART_NAME=0000000000
SHOW_DEVICE=0000000000
SHOW_TRG_CONDTN=0000000000
SECURITY_GRP_DISPLAY=0000000000
SECURITY_GRP_INPUT=0000000000
SHOW_POPUP_SCREEN=0000000000
SHOW_POPUP_SCREEN_NO=0000000000
SHOW_POPUP_SCREEN_PART_NAME=0000000000
SHOW_ALL_OVERLAY_SCREEN=0100000001

[CONVERT_COLORS]
COLOR_CONVERT_FROM=16711422
COLOR_CONVERT_TO=16711422

[WORKSPACE_HEIGHT_WIDTH_STYLE]
WORKSPACE_STYLE=8140
WorkSpaceActiveView=0
TOP=240
BOTTOM=240
LEFT=270
RIGHT=240

[ZOOM_FACTOR]
value=2.000000

[GRID]
GC=16711680
GS=1
GRID_STYLE=1
GRID_TYPE=0
HORZ_INTERVAL=20
VERT_INTERVAL=20
SNAP_TO_GRID=1